WampServer安装多个php版本

    早期的WampServer安装多个版本php很简单,只需要单击php下的Get more...就行了,WampServer会自动导航到http://www.wampserver.com/addons_php.php下去安装php,但目前这种方式好像不行了,该页面找不到了,那么我们只能手动安装多个版本的php。

通过get mored的方式自动安装php的多个版本

    1、下载php的历史版本

    目前php历史版本的下载地址是:http://php.net/releases/,网址http://windows.php.net/download/下是看不到历史版本的,我以5.2.17的安装为例子。

    下载完后把php-5.2.17解压至C:\develop\wamp\bin\php目录下,最好把php-5.2.17文件夹重命名为php5.2.17,即把横杠去掉

把下载的php放置wamp的bin\php目录下

    2、配置php5.2.17

    5.2.17版本中没有php.ini-development这个文件,复制php.ini-dist并改名为phpForApache.ini和php.ini,同时修改phpForApache.ini和php.ini中的extension_dir为 "C:/develop/wamp/bin/php/php5.2.17/ext/"

    3、复制php5apache2_4.dll文件

    这是最后一步,也是比较关键的一步,没有这步的话,wampserver可能无法启动成功。 到php5.5.12目录下找到php5apache2_4.dll文件,并把其复制到5.2.17下。 至此,就配置完成了,至于修改wampserver.conf和wampmanager.ini文件是不需要的,这些wampserver都会自动生成的。

如若转载,请注明出处:http://www.codingwhy.com/view/720.html

联系我们

在线咨询: 点击这里给我发消息

邮件:731000228@qq.com